/**
 * Test for {{name}}
 * Runs with karma.
 */

"use strict";

var ng = angular,
    mock = ng.mock;

describe('apeman-ui-contrib-angular-storaging', function () {
    describe('ap-storage', function () {
        var apStorage;
        beforeEach(function () {
            mock.module('apeman-ui-contrib-angular-storaging');
            mock.inject(function (_apStorage_) {
                apStorage = _apStorage_;
            });
        });

        it('Set and get object.', function () {
            var obj01 = {
                foo: 'bar',
                baz: {
                    quz: 'quzz'
                }
            };
            apStorage.setObj('obj01', obj01);
            expect(apStorage.getObj('obj01')).toEqual(obj01);
            apStorage.remove('obj01');
            expect(apStorage.getObj('obj01')).toEqual(null);
        });

        it('Set and get str.', function () {
            var str01 = 'FooBarBaz';
            apStorage.setStr('str01',str01);
            expect(apStorage.getStr('str01')).toEqual(str01);
            apStorage.remove('str01');
            expect(apStorage.getStr('str01')).toEqual(null);
        });
    });
});