#!/usr/bin/env node

/**
 * Install modules.
 */

"use strict";


var async = require('async'),
    path = require('path'),
    handybower = require('handybower');

var basedir = path.resolve(__dirname, '..');


process.chdir(basedir);

async.series([
    function (callback) {
        var handybowerData = require('../handybower.json');
        async.eachSeries(Object.keys(handybowerData), function (dirname, callback) {
            var names = handybowerData[dirname];
            handybower(names, {
                dest: dirname,
                verbose: true
            }, callback);
        }, callback);
    }
], function (err) {
    if (err) {
        console.error(err);
    }
});

