/**
 * @file Distribute apeman-ui-contrib-angular-storaging.
 */

"use strict";

var argx = require('argx'),
    async = require('async'),
    path = require('path'),
    pkg = require('./package.json'),
    compiling = require('apeman-commons-compiling'),
    logging = require('apeman-commons-logging'),
    objnest = require('objnest');

/** @lends apemanUiContribAngularStoraging */
function apemanUiContribAngularStoraging(options) {
    var args = argx(arguments);
    options = objnest.expand(args.pop('object') || {});

    return function dist(context, callback) {

        if (typeof context == 'string') {
            context = {dest: context}
        }

        var logger = context.logger || logging.apemanUiLogger({name: pkg.name}),
            dest = context.dest || 'apeman_ui_components';

        if (logger.verbose) {
            logger.printConfig({});
        }

        async.series([
            function (callback) {
                var filename = path.resolve(dest, pkg.name + '.js');
                compiling.concatFiles([
                    path.resolve(__dirname, 'assets/src/module.js'),
                    path.resolve(__dirname, 'assets/src/**/*.js')
                ], filename, {
                    unique: true,
                    log: true
                }, callback);
            }
        ], callback);
    }
}

module.exports = apemanUiContribAngularStoraging;
